package game;

import org.newdawn.slick.Image;
import org.newdawn.slick.SlickException;
import org.newdawn.slick.Sound;
import org.newdawn.slick.UnicodeFont;

public class Ressources {

	public static Ressources instance;
	public Image dialbox;
	public UnicodeFont uFont;
	public Sound selec;
	
	
	private Ressources() throws SlickException{
		dialbox = new Image("res/hud/dialbox.png");
		uFont = new UnicodeFont("res/font/pixel.ttf",24,false,false);
//		uFont.addAsciiGlyphs();  
//		uFont.addGlyphs(400,600); 
		uFont.loadGlyphs(); 
		selec = new Sound("res/sound/selec.wav");
	}
	public static Ressources getInstance(){
		return instance;
	}
	public static void initRessources() throws SlickException{
		instance = new Ressources();
	}
}
