package game;

import org.newdawn.slick.SlickException;
import org.newdawn.slick.Sound;
import org.newdawn.slick.SpriteSheet;

import game.Heros;

public class AnimationTransformation{

	private static SpriteSheet sp,sp1,sp2,sp3,sp4;
	private int x,y;
	private boolean alive;
	private int cptAnimation;
	private static Sound sonTransformation;
	
	public AnimationTransformation(int x, int y, int type){
		this.x = x;
		this.y = y;
		alive = true;
		cptAnimation = 50;
		if(type==1){
			sp=sp1;
		}else if(type==2){
			sp=sp2;
		}else if(type==3){
			sp=sp3;
		}else if(type==4){
			sp=sp4;
		}
//		sonTransformation.play();		
	}

	public void render() {
		if(cptAnimation>0){
			if(cptAnimation>40){
				sp.getSprite(0, 0).draw(x,y);
			}else if(cptAnimation>30){
				sp.getSprite(1, 0).draw(x,y);
			}else if(cptAnimation>20){
				sp.getSprite(2, 0).draw(x,y);
			}else if(cptAnimation>10){
				sp.getSprite(3, 0).draw(x,y);
			}else{
				sp.getSprite(4, 0).draw(x,y);
			}
			cptAnimation--;
		}
		
	}
	
	public int getX() {	
		return x;
	}

	public int getY() {
		return y;
	}

	
	public boolean isDestroy() {
		return !alive || cptAnimation==0;
	}

	

	
	public void update(Heros heros) {
		
	}

	public static void initRessources() throws SlickException{
		sp1 = new SpriteSheet("res/heros/transformation.png",32,40);
		sp2 = new SpriteSheet("res/heros/transformation2.png",32,40);
		sp3 = new SpriteSheet("res/heros/transformation3.png",32,40);
		sp4 = new SpriteSheet("res/heros/transformation4.png",32,40);
//		sonTransformation = new Sound("res/sound/water1.wav");
	}
}
