package game;


import org.newdawn.slick.Color;
import org.newdawn.slick.GameContainer;
import org.newdawn.slick.Graphics;
import org.newdawn.slick.Image;
import org.newdawn.slick.Input;
import org.newdawn.slick.SlickException;
import org.newdawn.slick.Sound;
import org.newdawn.slick.state.BasicGameState;
import org.newdawn.slick.state.StateBasedGame;
import org.newdawn.slick.state.transition.FadeInTransition;
import org.newdawn.slick.state.transition.FadeOutTransition;


public class Introduction extends BasicGameState
{
	public static final int ID = 3;
    private Graphics GRAPHIC;
    
    private Image fond_titre, txt_intro;
   
    private int yText,cpt;
    private Input input;
    private Sound son;
    
    @Override
    public int getID() {return ID;}
    
    public void init(GameContainer container, StateBasedGame game) throws SlickException {
    	this.GRAPHIC = container.getGraphics();
    	fond_titre = new Image("res/hud/fondIntro.png");
    	txt_intro = new Image("res/hud/txt_intro.png");
    	yText = 480;
    	cpt=0;
    	
    	input = container.getInput();

    }
    public void render(GameContainer container, StateBasedGame game, Graphics g) throws SlickException {
    	fond_titre.draw(0,0);
    	txt_intro.draw(0,yText);
    	
    }
    public void update(GameContainer container, StateBasedGame game, int delta) throws SlickException {
    	if(yText<=-480){
    		game.enterState(1);
			game.enterState(1, new FadeOutTransition (Color.black, 1000), new FadeInTransition (Color.black, 1000));
    	}else{
    		if(cpt==0){
    			yText--;
    			cpt++;
    		}else if(cpt>2){
    			cpt=0;
    		}else{
    			cpt++;
    		}
    		
    		if(input.isKeyDown(Input.KEY_SPACE)){
    			yText--;
    		}
    	}
    }
}
